Bug 237335 - Review Request: perl-Crypt-OpenSSL-PKCS10 -- Perl OpenSSL bindings for PKCS10 support
Review Request: perl-Crypt-OpenSSL-PKCS10 -- Perl OpenSSL bindings for PKCS1...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-20 16:36 EDT by Wes Hardaker
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-09 14:04:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Wes Hardaker 2007-04-20 16:36:30 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10.spec
Description:  A Perl wrapper around OpenSSL's PKCS10 library.

(I don't currently have a sponsor, although there are other packages
I've submitted as well tagged as needing a sponsor as well).
Comment 2 Wes Hardaker 2007-05-08 16:58:47 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10-0.06-2.spec

- Add BuildRequire openssl-devel
- Don't manually require openssl
- Use vendorarch instead of vendorlib
Comment 3 Wes Hardaker 2007-05-14 20:37:42 EDT
Spec URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10.spec
SRPM URL: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10-0.06-3.spec

- BuildRequire perl(Test::More) perl(ExtUtils::MakeMaker)
- Fixed source code URL
Comment 4 Jason Tibbitts 2007-05-26 16:10:52 EDT
I guess that SRPM URL should be
http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10-0.06-3.src.rpm instead.

This fails to build for me on x86_64 with current rawhide; the tests fail due to
a lack of Crypt::OpenSSL::RSA.  I added a build-time dependency and everything
builds fine.

There's some oddness in the way this thing builds.  It ends up
-I/usr/local/ssl/include and -I/usr/local/include on the gcc command line; the
former comes from the INC line in Makefile.PL, which is ill-advised.  For
whatever reason, the '-L/usr/local/ssl/lib' in LIBS doesn't make it onto the
link line, although of course the '-lcrypto' does.  I'm not sure where
'-I/usr/local/include' is coming from; I'll have to check into it.

Obviously this doesn't break anything for a mock build because there will never
be anything in /usr/local there, but it cold cause reproducibility problems for
users who may have whatever junk in there.  Since it's pretty trivial to either
patch it out or run a bit of Perl to just delete the offending INC line.

The README file is a bit funny.  It's so plainly useless that I'm not sure it's
worth actually including it in the package.

Review:
* source files match upstream:
   4514f2637c651242c2d2ebe974b167fe907eb514ec79e4683d951a40f50267d2  
   Crypt-OpenSSL-PKCS10-0.06.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
X BuildRequires are proper (needs perl(Crypt::OpenSSL::RSA)).
? compiler flags are appropriate.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* debuginfo package looks complete.
* rpmlint is silent.
* final provides and requires are sane:
   PKCS10.so()(64bit)
   perl(Crypt::OpenSSL::PKCS10) = 0.06
   perl-Crypt-OpenSSL-PKCS10 = 0.06-3.fc7
  =
   libcrypto.so.6()(64bit)
   perl >= 0:5.008000
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(XSLoader)
   perl(strict)
   perl(warnings)
* %check is present and all tests pass (once the proper BR: is added):
   All tests successful.
   Files=1, Tests=5,  0 wallclock secs ( 0.18 cusr +  0.00 csys =  0.18 CPU)
* no shared libraries are added to the regular linker search paths.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la droppings.
Comment 5 Jason Tibbitts 2007-05-26 17:10:41 EDT
Actually '-I/usr/local/include' comes from Perl itself; run 'perl -V|grep
cflags' to see it.  So that's certainly not something you need to worry about.
Comment 6 Wes Hardaker 2007-05-31 17:48:41 EDT
SRPM: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10-0.06-4.src.rpm
Spec: http://www.hardakers.net/FE/perl-Crypt-OpenSSL-PKCS10.spec

- added a build requirement for Crypt::OpenSSL::RSA
- fix hard-coded include/library paths in the Makefile.PL
- unmodified template README removed from install
- Reverse terms in license to match perl rpm exactly

Fixed the Makefile with a patch in the end...

I did remove the template README; you're right it's useless (the install stuff
would have been useful to someone *not* using an RPM...  But aside from that.)
Comment 7 Jason Tibbitts 2007-06-01 01:56:52 EDT
The package builds fine for me now with no hacking.

It seems to have grown an rpmlint complaint:
   W: perl-Crypt-OpenSSL-PKCS10 spurious-executable-perm 
   /usr/share/doc/perl-Crypt-OpenSSL-PKCS10-0.06/README
Or perhaps I didn't notice it before.  But in any case, I thought you dropped
the README file.

Everything else looks good, so I'm inclined to approve this and you can get rid
of the pointless (and executable) README file when you check in.

APPROVED
Comment 8 Wes Hardaker 2007-06-01 12:12:54 EDT
New Package CVS Request
=======================
Package Name: perl-Crypt-OpenSSL-PKCS10
Short Description: Perl OpenSSL bindings for PKCS10 support 
Owners: wjhns174@hardakers.net
Branches: FC-6 F-7
InitialCC:
Comment 9 Jason Tibbitts 2007-06-01 16:18:56 EDT
CVS done.
Comment 10 Wes Hardaker 2007-07-09 14:04:57 EDT
package done :-)

Note You need to log in before you can comment on or make changes to this bug.